LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Suse/Novell
User Name
Password
Suse/Novell This Forum is for the discussion of Suse Linux.

Notices

Reply
 
Search this Thread
Old 04-08-2005, 09:29 AM   #1
Edje
LQ Newbie
 
Registered: Apr 2005
Posts: 4

Rep: Reputation: 0
Angry Suse 9.2 'Could not load modules.dep' problem


Hi all,

I have a problem with Suse9.2 and (I think) Kernel Updates.
When I boot my system I get the following message :

modprobe: FATAL: Could not load /lib/modules/2.6.8-24.14-default/modules.dep: No such file or directory

This is since I did two things. I've upgraded the kernel to version 2.6.8-24-14, and I've installed VMWare.
To get VMWare running, I had to do the following :
1) cd /usr/src/linux
2) make cloneconfig
3) make modules_prepare
4) vmware_config.pl

After rebooting I first noticed that my USB mouse was not working anymore. Later I found the modprobe error in boot.msg.
The result of uname -r is 2.6.8-24.14-default. So this is the same as the installed Kernel i guess. The modules.dep file is present in the directory.

I don't know what to do. Does anyone else?

Regards,

Ed.
 
Old 04-09-2005, 08:07 AM   #2
Edje
LQ Newbie
 
Registered: Apr 2005
Posts: 4

Original Poster
Rep: Reputation: 0
I've seem to have solved the problem myself.

After a Yast kernel update or some config changes that involves modprobe actions it appears to go wrong in my case.
I've found a workaround in running SuSEconfig after a kernel upgrade or a modprobe action. Then everything works like a charm :-)
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
modprobe: FATAL: Could not load /lib/modules/.../modules.dep Ankardo Debian 9 02-01-2011 05:09 PM
FATAL: could not load /lib/modules/2.6.1/modules.dep Fr33B33R Slackware 3 01-12-2004 05:40 AM
Compile Error- /lib/modules/extra/modules.dep UpChuck Debian 2 01-11-2004 10:20 AM
/etc/conf.modules is more recent than /lib/module/2.2.15-4mdk/modules.dep Derek-kun Linux - Newbie 3 09-26-2003 02:56 AM
Slack9 - no PPP (can't open dependencies file /lib/modules/2.4.18/modules.dep) bluehz Slackware 1 05-04-2003 02:32 PM


All times are GMT -5. The time now is 09:25 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration